#ifndef _mimeTypes

#define _mimeTypes


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "array.h"


typedef struct mimeTypes{

	array * extensions;

	array * mimeTypes;


} mimeTypes;

void mimeTypes_constructor( mimeTypes * this );

void mimeTypes_add( mimeTypes * this, char * extension,  char * mimeType );

char * mimeTypes_getByExtension( mimeTypes * this, char * extension );

mimeTypes mimeTypes_new(  );

mimeTypes * mimeTypes_newPointer(  );

#endif


typedef struct mimeTypes mimeTypes;



